#!/bin/bash
SERVER=$1
DIR=$HOME/factor/qsieve-2.60
CLIENT=$DIR/net-client

REMOTE="ssh -n"

ONSERVER=yes
DONICE=yes

if [ x$DONICE == xyes ]; then
  NICE=nice
else
  NICE=
fi

HOSTLIST="syphilis tripper"

if xset q &>/dev/null; then
  HASX="xterm -geometry +0+0 -e"
else
  HASX=
fi


for host in $HOSTLIST
do
  if [ x$SERVER == x$host ]; then
    if [ "$ONSERVER" == "yes" ]; then
      rm -f /tmp/qsieve-*
      $HASX $NICE $CLIENT $SERVER &>/dev/null &
    fi
  else
    $REMOTE $host rm -f "/tmp/qsieve-*"
    $HASX $REMOTE $host $CLIENT $SERVER &>/dev/null &
  fi
done
